org.apache.felix.gogo.shell

## Class Console

- java.lang.Object
- - org.apache.felix.gogo.shell.Console

All Implemented Interfaces:
  Runnable

    public class Console
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`Console(org.apache.felix.service.command.CommandSession session, History history)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Console

    public Console(org.apache.felix.service.command.CommandSession session,
                   History history)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`